# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class RansimMetrics(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    allowed enum values
    """
    UE_POSITIONING = "ue_positioning"
    GNB_POSITIONING = "gnb_positioning"
    NETWORK_CONFIGURATION = "network_configuration"
    RESOURCE_CONFIGURATION = "resource_configuration"
    NETWORK_STATUS = "network_status"
    PERFORMANCE_RESULTS = "performance_results"
    def __init__(self):  # noqa: E501
        """RansimMetrics - a model defined in Swagger

        """
        self.swagger_types = {
        }

        self.attribute_map = {
        }

    @classmethod
    def from_dict(cls, dikt) -> 'RansimMetrics':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The ransim-metrics of this RansimMetrics.  # noqa: E501
        :rtype: RansimMetrics
        """
        return util.deserialize_model(dikt, cls)
